## org.biojava.bio.dp
Interface ModelInState

All Superinterfaces:
  Annotatable, AtomicSymbol, BasisSymbol, Changeable, State, Symbol

All Known Implementing Classes:
  SimpleModelInState

    public interface ModelInState

extends State

A state that contains an entire sub-model.

Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`MarkovModel` `getModel()` The model that is inside this state.

Methods inherited from interface org.biojava.bio.symbol.BasisSymbol
`getSymbols`

Methods inherited from interface org.biojava.bio.symbol.Symbol
`getMatches, getName`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### getModel

    MarkovModel getModel()

  The model that is inside this state.